
Redmine - Patch #13646

Fix handling multiple text parts in email

2013-03-30 00:57 - Alex Shulgin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.4.0   

Description

When handling emails consisting of multiple text parts interspersed with attachment parts, Redmine would only consider the first text

(text/plain or text/html) part and ignore the rest.

Here's a patch against 2.2-stable to fix this, test included.

Related issues:

Related to Redmine - Defect #15684: MailHandler : text/plain attachments are ... Closed

Associated revisions

Revision 11834 - 2013-05-12 11:38 - Jean-Philippe Lang

Fix handling multiple text parts in email (#13646).

Patch by Alex Shulgin.

History

#1 - 2013-03-30 00:58 - Alex Shulgin

- File fix-multiple-text-parts-email-handling.diff added

Oops, forgot to include the test email fixture.

#2 - 2013-04-04 08:23 - Toshi MARUYAMA

- Target version set to 2.3.1

#3 - 2013-04-04 09:35 - Toshi MARUYAMA

- Target version changed from 2.3.1 to 2.4.0

#4 - 2013-04-04 09:37 - Toshi MARUYAMA

- Target version changed from 2.4.0 to 2.3.1

#5 - 2013-04-06 06:44 - Toshi MARUYAMA

- Target version changed from 2.3.1 to 2.4.0

#6 - 2013-05-12 11:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed in r11834, thanks. I changed the assertion because parts may not be inserted in the expected order.

#7 - 2013-12-12 01:22 - Toshi MARUYAMA

- Related to Defect #15684: MailHandler : text/plain attachments are added to description added

Files

fix-multiple-text-parts-email-handling.diff 1.74 KB 2013-03-29 Alex Shulgin

fix-multiple-text-parts-email-handling.diff 3.51 KB 2013-03-29 Alex Shulgin
